<?php
#Автор - TheAlex
#Модуль - газета
#Php-Zona.Ru
#2014 год

require_once ('../system/function.php');
$id=abs(intval($_GET['id']));
$gazeta_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `gazeta_r` WHERE `id` = '".$id."'"));
$title = 'Раздел '.$gazeta_r['name'].' ';
require_once ('../system/header.php');
if(!$user['id']) {
	echo '<div class="title">Ошибка</div>
<div class="podmenu"><center><b>У вас не достаточно прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
}


if($gazeta_r == 0) {
	echo '<div class="title">Газета | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
if (empty($user['max']))
 	$user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gazeta_n` WHERE `razd` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$gazeta_n = mysql_query("SELECT * FROM `gazeta_n` WHERE `razd` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($gazeta_n)) {
	echo '<div class="podmenu"><a href="../gazeta/news.php?id='.$a['id'].'">'.$a['name'].'</a>';

	echo '</div>';
}
 if($k_post < 1)
 	echo '<div class="podmenu"><b><center>В данном разделе новостей пока нет!</center></b></div>';
if($k_page>1)
 	echo str(''.$HOME.'/gazeta/razdel.php?id='.$id.'&',$k_page,$page);

if($user['journal']==1) {
	echo '<div class="podmenu"><a href="cr_n.php?id='.$id.'">Создать новость</a></div>';
}
require_once ('../system/footer.php');
?>